Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.loading
Class DefaultLoaderRepository

    java.lang.Object
      javax.management.loading.DefaultLoaderRepository

Deprecated. Use MBeanServer.getClassLoaderRepository() instead.

public class DefaultLoaderRepository
extends Object

Keeps the list of Class Loaders registered in the MBean Server. It provides the necessary methods to load classes using the registered Class Loaders.

This deprecated class is maintained for compatibility. In previous versions of JMX, there was one DefaultLoaderRepository shared by all MBean servers. As of JMX 1.2, that functionality is approximated by using MBeanServerFactory.findMBeanServer(java.lang.String) to find all known MBean servers, and consulting the ClassLoaderRepository of each one. It is strongly recommended that code referencing DefaultLoaderRepository be rewritten.

Version:
  $Revision: 1.9 $
Author:
  Juha Lindfors.

Constructor Summary
`DefaultLoaderRepository()` Deprecated.

Method Summary
`static Class` | `loadClass(String className)` Deprecated.
`static Class` | `loadClassWithout(ClassLoader loader, String className)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLoaderRepository

    public DefaultLoaderRepository()

  Deprecated.

Method Detail

### loadClass

    public static Class loadClass(String className)
                           throws ClassNotFoundException

  Deprecated.
  Throws:
    `ClassNotFoundException`

### loadClassWithout

    public static Class loadClassWithout(ClassLoader loader,
                                         String className)
                                  throws ClassNotFoundException

  Deprecated.
  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.